node.h File Reference
`#include "bus.h"`
`#include "inode.h"`
`#include <mutex>`
`#include <queue>`
Include dependency graph for node.h:

Go to the source code of this file.

## Classes

class | Node
| Concrete subscriber node in the event bus system. More...

## Namespaces

namespace | sdi_toolBox
| Root namespace for the sdi_toolBox library.
namespace | sdi_toolBox::desktop
| Desktop-specific components of the sdi_toolBox library.
namespace | sdi_toolBox::desktop::eventBus
| Lightweight thread-safe event bus for decoupled message passing.